Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1079583 - When RHEV reports a problem with a storage domain, it should report **which** storage domain
Summary: When RHEV reports a problem with a storage domain, it should report **which**...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On: 1116820
Blocks: 1113075 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-21 21:36 UTC by Greg Scott
Modified: 2018-12-06 16:10 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1113075 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:59:21 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28859 master MERGED core: Report unreachable domain names when setting host as non operational Never
oVirt gerrit 32712 master MERGED core: Report unreachable domain names when setting host as non operational Never
Red Hat Knowledge Base (Solution) 405503 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Greg Scott 2014-03-21 21:36:42 UTC
Description of problem:

This should belong to Red Hat Enterprise Virtualization Manager, but Bugzilla doesn't seem to show that as a choice anymore.  That's why I put this in with RHEL6 and rhev-hypervisor6.

See the discussion at:
https://access.redhat.com/site/comment/726713

Also see support case number 01057416.  Support case number 01055019 may also be relevant.  

I have a RHEV cluster with 6 different storage domains. Or maybe 7 as of today. Trying to add a new host, RHEV-M reported this less than helpful message:

Host thing3.example.local cannot access one of the Storage Domains attached to the Data Center ExampleDataCenter. Setting Host state to Non-Operational.

Wonderful - which storage domain? RHEV-M and the host "know" what they're trying to connect.  Why not share that information with the admin setting it up so they can troubleshoot problems?

Version-Release number of selected component (if applicable):
3.3 and earlier.

How reproducible:
at will

Steps to Reproduce:
1.  Set up a RHEV environment with at least two storage domains.
2.  From the storage point of view, do not grant permission for any new host to access one of the storage LUNs.
3.  Add a new host.  Try to activate the new host with the RHEV-M GUI.
4.  Observe the ambiguous error message in the RHEV-M event log.  It doesn't tell you which storage domain(s) have a problem, only that at least one has a problem.  As an admin, you don't know if one, some, or all storage domains have a problem.

Actual results:
See steps to reproduce above.

Expected results:
It should tell me which storage domain(s) have a problem and not make me guess.  

Additional info:

Comment 4 Kevin Alon Goldblatt 2014-08-07 13:22:01 UTC
The correct message is displayed in the events log

Comment 6 errata-xmlrpc 2015-02-11 17:59:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.